Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Proxy Class Template Reference

`#include <Notify_Proxy_T.h>`

Inheritance diagram for TAO_Notify_Proxy

[legend]
Collaboration diagram for TAO_Notify_Proxy:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Proxy (void)
virtual | ~TAO_Notify_Proxy (void)
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
virtual void | _add_ref (CORBA_Environment &ACE_TRY_ENV)
virtual void | _remove_ref (CORBA_Environment &ACE_TRY_ENV)
virtual void | dispatch_update (TAO_Notify_EventType_List& added_list, TAO_Notify_EventType_List& removed_list, CORBA::Environment &ACE_TRY_ENV)
virtual CosNotifyChannelAdmin::ProxyType | MyType ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual void | validate_event_qos ( const CosNotification::QoSProperties & required_qos, CosNotification::NamedPropertyRangeSeq_out available_qos, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual CosNotification::QoSProperties* | get_qos ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual void | set_qos ( const CosNotification::QoSProperties & qos, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual void | validate_qos ( const CosNotification::QoSProperties & required_qos, CosNotification::NamedPropertyRangeSeq_out available_qos, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )
virtual CosNotifyFilter::FilterID | add_filter ( CosNotifyFilter::Filter_ptr new_filter, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual void | remove_filter ( CosNotifyFilter::FilterID filter, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::Filter_ptr | get_filter ( CosNotifyFilter::FilterID filter, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )
virtual CosNotifyFilter::FilterIDSeq* | get_all_filters ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
virtual void | remove_all_filters ( CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException )
## Protected Methods
virtual void | dispatch_update_i (CosNotification::EventTypeSeq added, CosNotification::EventTypeSeq removed, CORBA::Environment &ACE_TRY_ENV) = 0
## Protected Attributes
ACE_Lock* | lock_
CORBA::ULong | refcount_
CosNotifyChannelAdmin::ProxyType | proxy_type_
TAO_Notify_Event_Manager* | event_manager_
CORBA::Boolean | is_connected_
CORBA::Boolean | updates_on_
TAO_Notify_QoSAdmin_i | qos_admin_
TAO_Notify_FilterAdmin_i | filter_admin_
CosNotifyChannelAdmin::ProxyID | proxy_id_

## Constructor & Destructor Documentation

template<classSERVANT_TYPE>
const char *get_rcsid_Notify_ TAO_Notify_Proxy< SERVANT_TYPE >::TAO_Notify_Proxy<SERVANT_TYPE> ( | void )`[inline]`

template<classSERVANT_TYPE>
TAO_Notify_Proxy< SERVANT_TYPE >::~TAO_Notify_Proxy<SERVANT_TYPE> ( | void )`[virtual]`

## Member Function Documentation

template<classSERVANT_TYPE>
CosNotifyChannelAdmin::ProxyType TAO_Notify_Proxy< SERVANT_TYPE >::MyType ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

template<classSERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::_add_ref ( | CORBA_Environment & ACE_TRY_ENV )`[virtual]`

template<classSERVANT_TYPE>
CORBA::ULong TAO_Notify_Proxy< SERVANT_TYPE >::_decr_refcnt ( | void )`[virtual]`

| Reimplemented from TAO_Notify_RefCounted.

template<classSERVANT_TYPE>
CORBA::ULong TAO_Notify_Proxy< SERVANT_TYPE >::_incr_refcnt ( | void )`[virtual]`

| Reimplemented from TAO_Notify_RefCounted.

template<classSERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::_remove_ref ( | CORBA_Environment & ACE_TRY_ENV )`[virtual]`

template<classSERVANT_TYPE>
CosNotifyFilter::FilterID TAO_Notify_Proxy< SERVANT_TYPE >::add_filter ( | CosNotifyFilter::Filter_ptr new_filter,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

template<classSERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::dispatch_update ( | TAO_Notify_EventType_List & added_list,
| TAO_Notify_EventType_List & removed_list,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_UpdateListener.

template<classSERVANT_TYPE>
virtual void TAO_Notify_Proxy<SERVANT_TYPE>::dispatch_update_i ( | CosNotification::EventTypeSeq added,
| CosNotification::EventTypeSeq removed,
| CORBA::Environment & ACE_TRY_ENV )`[protected, pure virtual]`

template<classSERVANT_TYPE>
CosNotifyFilter::FilterIDSeq * TAO_Notify_Proxy< SERVANT_TYPE >::get_all_filters ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

template<classSERVANT_TYPE>
CosNotifyFilter::Filter_ptr TAO_Notify_Proxy< SERVANT_TYPE >::get_filter ( | CosNotifyFilter::FilterID filter,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

template<classSERVANT_TYPE>
CosNotification::QoSProperties * TAO_Notify_Proxy< SERVANT_TYPE >::get_qos ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

template<classSERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::remove_all_filters ( | CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException )`[virtual]`

template<classSERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::remove_filter ( | CosNotifyFilter::FilterID filter,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotifyFilter::FilterNotFound )`[virtual]`

template<classSERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::set_qos ( | const CosNotification::QoSProperties & qos,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

template<classSERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::validate_event_qos ( | const CosNotification::QoSProperties & required_qos,
| CosNotification::NamedPropertyRangeSeq_out available_qos,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

template<classSERVANT_TYPE>
void TAO_Notify_Proxy< SERVANT_TYPE >::validate_qos ( | const CosNotification::QoSProperties & required_qos,
| CosNotification::NamedPropertyRangeSeq_out available_qos,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, CosNotification::UnsupportedQoS )`[virtual]`

## Member Data Documentation

template<classSERVANT_TYPE>
TAO_Notify_Event_Manager * TAO_Notify_Proxy<SERVANT_TYPE>::event_manager_`[protected]`

template<classSERVANT_TYPE>
TAO_Notify_FilterAdmin_i TAO_Notify_Proxy<SERVANT_TYPE>::filter_admin_`[protected]`

template<classSERVANT_TYPE>
CORBA::Boolean TAO_Notify_Proxy<SERVANT_TYPE>::is_connected_`[protected]`

template<classSERVANT_TYPE>
ACE_Lock * TAO_Notify_Proxy<SERVANT_TYPE>::lock_`[protected]`

template<classSERVANT_TYPE>
CosNotifyChannelAdmin::ProxyID TAO_Notify_Proxy<SERVANT_TYPE>::proxy_id_`[protected]`

template<classSERVANT_TYPE>
CosNotifyChannelAdmin::ProxyType TAO_Notify_Proxy<SERVANT_TYPE>::proxy_type_`[protected]`

template<classSERVANT_TYPE>
TAO_Notify_QoSAdmin_i TAO_Notify_Proxy<SERVANT_TYPE>::qos_admin_`[protected]`

template<classSERVANT_TYPE>
CORBA::ULong TAO_Notify_Proxy<SERVANT_TYPE>::refcount_`[protected]`

template<classSERVANT_TYPE>
CORBA::Boolean TAO_Notify_Proxy<SERVANT_TYPE>::updates_on_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Proxy_T.h
- Notify_Proxy_T.cpp